# IonGeocoderService

#### new Cesium.IonGeocoderService(options)
Core/IonGeocoderService.js 36

Provides geocoding through Cesium ion.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The scene
`accessToken` | String | `Ion.defaultAccessToken` | optional The access token to use.
`accessToken` | String | `Ion.defaultAccessToken` | optional The access token to use.
`server` | String | Resource | `Ion.defaultServer` | optional The resource to the Cesium ion API server.

##### See:

- Ion

### Methods

#### geocode(query, type) → Promise.<Array.<GeocoderService~Result>>
Core/IonGeocoderService.js 72

Name | Type | Default | Description
--- | --- | --- | ---
`query` | String |  | The query to be sent to the geocoder service
`type` | GeocodeType | `GeocodeType.SEARCH` | optional The type of geocode to perform.

##### Returns: